summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorgy Yakovlev <gyakovlev@gentoo.org>2019-02-11 09:06:22 -0800
committerGeorgy Yakovlev <gyakovlev@gentoo.org>2019-02-11 09:07:06 -0800
commitdb5be5f6f2b6a524aea4c5025129465dd875ff1c (patch)
tree6c48ea64847bf70e6a0007485ab084500fa00c90
parentnet-misc/youtube-dl: Old (diff)
downloadgentoo-db5be5f6f2b6a524aea4c5025129465dd875ff1c.tar.gz
gentoo-db5be5f6f2b6a524aea4c5025129465dd875ff1c.tar.bz2
gentoo-db5be5f6f2b6a524aea4c5025129465dd875ff1c.zip
app-shells/fish: bump to 3.0.1
Package-Manager: Portage-2.3.59, Repoman-2.3.12 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
-rw-r--r--app-shells/fish/Manifest1
-rw-r--r--app-shells/fish/fish-3.0.1.ebuild75
2 files changed, 76 insertions, 0 deletions
diff --git a/app-shells/fish/Manifest b/app-shells/fish/Manifest
index f6ea60fabfe..6af343b95df 100644
--- a/app-shells/fish/Manifest
+++ b/app-shells/fish/Manifest
@@ -1,2 +1,3 @@
DIST fish-2.7.1.tar.gz 5760550 BLAKE2B 71568a3a17f4222b05a314464a61fceb241409a7d42c46249486ca742ef0cf990c46d693bcc22521c18f58a558e6aab35759d0da6eb62ee6611a2a7946fe714d SHA512 45ee3453404c5d6c56d307b4cd19197de862f9f42d7fa06461acec56dea7146db5675cf6419dd5f72e939b3e4b1955d3761098df1de89a8cebe47645eb6f7a4b
DIST fish-3.0.0.tar.gz 6472393 BLAKE2B 9a8226ca4dce40a7bbc62ad5791c5238d1257cebea296cd97a195438d771d7394acb012be6af118bf355a9b6e391ddee1061d83298356f664e0d5dbe3d859012 SHA512 e4159821d4263e5afb67adee82e30cfed0ad30f3772dd95beb0df71423ff52c21354970f64967f2de9fd1d31caa702208cfd9f2ce281bbf33114f3aa7cd539a2
+DIST fish-3.0.1.tar.gz 6477550 BLAKE2B 31862bee18cc6db9b624850c87816ecc7d2a50671522ecafa887973ff2b9cb890d4880a567570025957064f0c68c4846810373efc03a4c6d616840b553ece625 SHA512 0bbf02d6be658f81e8dbb3a23066878087e1dc9f3abae43ff1c493e1b9d4394944e8fe7d176a3384f290ebd1e0c5325fd78eb7a654bab6b4f21687b24df40ca7
diff --git a/app-shells/fish/fish-3.0.1.ebuild b/app-shells/fish/fish-3.0.1.ebuild
new file mode 100644
index 00000000000..8cc9571025c
--- /dev/null
+++ b/app-shells/fish/fish-3.0.1.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils readme.gentoo-r1
+
+DESCRIPTION="Friendly Interactive SHell"
+HOMEPAGE="http://fishshell.com/"
+
+MY_PV="${PV/_beta/b}"
+MY_P="${PN}-${MY_PV}"
+
+if [[ ${PV} == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/${PN}-shell/${PN}-shell.git"
+else
+ SRC_URI="https://github.com/${PN}-shell/${PN}-shell/releases/download/${MY_PV}/${MY_P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE="doc nls test"
+
+RDEPEND="
+ >=dev-libs/libpcre2-10.21[pcre32]
+ sys-devel/bc
+ sys-libs/ncurses:0=[unicode]
+"
+
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )
+ nls? ( sys-devel/gettext )
+ test? ( dev-tcltk/expect )
+"
+
+PATCHES=( "${FILESDIR}/fix-histfile-test-on-ppc.patch" )
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ # workaround for https://github.com/fish-shell/fish-shell/issues/4883
+ sed -i 's#${TEST_INSTALL_DIR}/${CMAKE_INSTALL_PREFIX}#${TEST_INSTALL_DIR}#' \
+ cmake/Tests.cmake || die
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_INSTALL_BINDIR="${EPREFIX}/bin"
+ -DCMAKE_INSTALL_DOCDIR="share/doc/${PF}"
+ -DCMAKE_INSTALL_SYSCONFDIR="${EPREFIX}/etc"
+ -DCURSES_NEED_NCURSES=ON
+ -DINTERNAL_WCWIDTH=OFF
+ -DBUILD_DOCS="$(usex doc)"
+ -DWITH_GETTEXT="$(usex nls)"
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+ keepdir /usr/share/fish/vendor_{completions,conf,functions}.d
+ readme.gentoo_create_doc
+}
+
+src_test() {
+ cmake-utils_src_make -j1 test
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+}